Bug 184136 - Update port: security/py-SecretStorage Upgrade to 0.1.1
Summary: Update port: security/py-SecretStorage Upgrade to 0.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-21 05:10 UTC by Douglas Thrift
Modified: 2013-11-23 10:30 UTC (History)
1 user (show)

See Also:


Attachments
py-SecretStorage.2013-11-21T043221Z.diff (2.33 KB, patch)
2013-11-21 05:10 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-11-21 05:10:00 UTC
Upgrade security/py-SecretStorage to 0.1.1 and add STAGE support.

https://redports.org/buildarchive/20131121042700-31902/

From changelog:

SecretStorage 1.1, 2013-11-15
=============================

* Ported to PyQt5.
* Added `Item.get_created()` method.
* Improvements to error handling.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-21 05:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-23 10:26:21 UTC
Author: sunpoet
Date: Sat Nov 23 10:26:14 2013
New Revision: 334655
URL: http://svnweb.freebsd.org/changeset/ports/334655

Log:
  - Update to 1.1.0
  - Use PYDISTUTILS_AUTOPLIST
  - Support STAGEDIR
  
  Changes:
  - Ported to PyQt5.
  - Added `Item.get_created()` method.
  - Improvements to error handling.
  
  PR:		ports/184136
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Deleted:
  head/security/py-SecretStorage/pkg-plist
Modified:
  head/security/py-SecretStorage/Makefile   (contents, props changed)
  head/security/py-SecretStorage/distinfo   (contents, props changed)

Modified: head/security/py-SecretStorage/Makefile
==============================================================================
--- head/security/py-SecretStorage/Makefile	Sat Nov 23 10:26:08 2013	(r334654)
+++ head/security/py-SecretStorage/Makefile	Sat Nov 23 10:26:14 2013	(r334655)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	SecretStorage
-PORTVERSION=	1.0.0
+PORTVERSION=	1.1.0
 CATEGORIES=	security python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -16,6 +16,6 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dbus
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/security/py-SecretStorage/distinfo
==============================================================================
--- head/security/py-SecretStorage/distinfo	Sat Nov 23 10:26:08 2013	(r334654)
+++ head/security/py-SecretStorage/distinfo	Sat Nov 23 10:26:14 2013	(r334655)
@@ -1,2 +1,2 @@
-SHA256 (SecretStorage-1.0.0.tar.gz) = 27c441f2cf524edaa0cf39abb4a9f65cde6ab99bb1471a9e2cdb11ffcfbc0081
-SIZE (SecretStorage-1.0.0.tar.gz) = 14063
+SHA256 (SecretStorage-1.1.0.tar.gz) = 439d23ef00abb673a9a119c58bb8733e8ce6f57f82afc016547af4b742d49383
+SIZE (SecretStorage-1.1.0.tar.gz) = 14242
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-11-23 10:26:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!